Bug 813555 - Cannot configure dvb in totem
Cannot configure dvb in totem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-dvb-daemon (Show other bugs)
17
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 16:49 EDT by Michael Scherer
Modified: 2013-07-31 16:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:27:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Scherer 2012-04-17 16:49:29 EDT
Description of problem:
The configuration screen for DVb in totem do not appear

Version-Release number of selected component (if applicable):
$ rpm -q totem gnome-dvb-daemon
totem-3.4.0-1.fc17.x86_64
gnome-dvb-daemon-0.2.8-1.fc17.x86_64


How reproducible:
each time

Steps to Reproduce:
1.start totem with a dvb tuner connected
2.try to open "edit" / "digital tv preference"
  
Actual results:

Nothing appear, and there is this backtrace in the console :
Traceback (most recent call last):
  File "/usr/lib64/totem/plugins/dvb-daemon/dvb-daemon.py", line 533, in _on_action_preferences
    prefs = Preferences(self.manager, self.totem_object.get_main_window())
  File "/usr/lib/python2.7/site-packages/gnomedvb/ui/preferences/Preferences.py", line 52, in __init__
    self.__create_toolbar()
  File "/usr/lib/python2.7/site-packages/gnomedvb/ui/preferences/Preferences.py", line 106, in __create_toolbar
    button_setup = Gtk.MenuToolButton(icon_widget=prefs_image, label=_("Setup"))
TypeError: __init__() got an unexpected keyword argument 'icon_widget'


Expected results:
the wizard appear
Comment 1 Fedora End Of Life 2013-07-03 16:27:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Michael Scherer 2013-07-03 18:17:33 EDT
I lost my usb key, so I cannot anymore test :/
Comment 3 Fedora End Of Life 2013-07-31 16:28:02 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.